Get inventory item
curl --request GET \
--url https://staging-api.usetyms.com/v1/adam/inventories/{uuid} \
--header 'X-API-Key: <api-key>'import requests
url = "https://staging-api.usetyms.com/v1/adam/inventories/{uuid}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://staging-api.usetyms.com/v1/adam/inventories/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "success",
"message": "Inventory item retrieved successfully",
"data": {
"uuid": "inv-uuid-1",
"name": "Wireless Mouse",
"selling_price": 15000,
"cost_price": 9000,
"stock": 100,
"unit": "pcs",
"type": "product",
"is_inventory": true,
"currency": "NGN"
}
}{
"status": "failed",
"message": "<string>"
}Inventory
Get inventory item
Retrieve a single product or service by uuid.
GET
/
inventories
/
{uuid}
Get inventory item
curl --request GET \
--url https://staging-api.usetyms.com/v1/adam/inventories/{uuid} \
--header 'X-API-Key: <api-key>'import requests
url = "https://staging-api.usetyms.com/v1/adam/inventories/{uuid}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://staging-api.usetyms.com/v1/adam/inventories/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "success",
"message": "Inventory item retrieved successfully",
"data": {
"uuid": "inv-uuid-1",
"name": "Wireless Mouse",
"selling_price": 15000,
"cost_price": 9000,
"stock": 100,
"unit": "pcs",
"type": "product",
"is_inventory": true,
"currency": "NGN"
}
}{
"status": "failed",
"message": "<string>"
}Authorizations
Business secret tyms_sk_... for business-scoped routes. Partner secret for register-business and referred-business distributor routes.
Path Parameters
Inventory item uuid.
Response
Single inventory item